# coding=UTF-8
from django.http import HttpResponse
from django.utils import simplejson
from web import models
from web.views import ActualController

__author__ = 'IoS'

class ProjectTypeController(ActualController):
    def list(self, request, url, user, method, *parts):
        return HttpResponse(simplejson.dumps({"success": True, "data": [obj.to_dict() for obj in models.ProjectType.all()]}))

    def list_files(self, request, url, user, method, project_type, *parts):
        return HttpResponse(simplejson.dumps({"success": True, "data": [models.FileType.get(obj).to_dict() for obj in models.FileType.select_related(models.ProjectType.get_by_id(int(project_type))._files)]}))
