# coding=UTF-8
import os
from django.http import HttpResponse
from django.utils import simplejson
from web import models
from web.util import CommonUtil, PathUtil
from web.views import ActualController
from web.services import account, files, project

__author__ = 'IoS'

class UserController(ActualController):
    def current(self, request, url, user, method, *parts):
        a = account.AccountService().get_account(user)
        return HttpResponse(simplejson.dumps({"success": True,
                "data": a.to_dict()}))
