# coding=UTF-8
import re

__author__ = 'IoS'

def unique(array, key_func):
    res = []
    prev = None
    for item in sorted(array, key=key_func):
        key = key_func(item)
        if key != prev:
            prev = key
            res.append(item)
    return res

def query_to_list(query):
    return [o for o in query]

def filter_nonname_chars(string):
    return re.sub(ur"[^0-9a-zA-Z_()\[\]\{\}/\\]", "", string)
